Permission Denied while attempting to create new host provisioned by vcenter.
Pull request:    

Description

While attempting to create a new host via vcenter, we were receiving a permission denied error - resulting in the Virtual Machine tab

to not be populated.  The production.log that is attached includes a full stack trace that indicates that it was due to the way that

RbVmomi attempted to locate datacenter instances.  Our organization requires us to use an account for foreman that does not have

the privileges to traverse the entire inventory of objects provided by vcenter - we are limited to a small subset.

We managed to get things working with a very small patch, but it's likely that we're overlooking something.  In particular, there are

only two paths for the method that I'm patching, but we're only patching the path that is causing us issues.  I'm not sure how to trigger

the other pathway from within Foreman.

Related issues:

Related to Foreman - Bug #4187: Cannot create VMware guest with selective per... New 01/26/2014

History

#1 - 04/02/2014 07:29 AM - Dominic Cleal

- Related to Bug #4187: Cannot create VMware guest with selective permissions added

#2 - 04/02/2014 07:33 AM - Dominic Cleal

Would you mind sending the patch to https://github.com/vmware/rbvmomi/?  We don't manage the VMware library ourselves.  Hopefully if it's in a later

release we'll be able to use it in the future - though are currently pinned to 1.6.0 due to a nokogiri issue (#5018).

#3 - 09/26/2014 07:20 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - VMware

#4 - 02/26/2018 10:47 AM - Daniel Lobato Garcia

- Bugzilla link set to 1382486

Files

production.log 316 KB 04/01/2014 Brad DeMorrow

ServiceInstance.rb.patch 149 Bytes 04/01/2014 Brad DeMorrow
